SELECT org_id||'|'||pred_id                   AS "EXTERNAL_KEY",
       ev_dmn.name                            AS "EVENT_DOMAIN_KEY",
       ev_dmn_pred.name                       AS "PREDICATE_NAME",
       CASE 
         WHEN type = 'STRING'
         THEN 'TEXT'
         ELSE type
       END                                    AS "PREDICATE_TYPE",
       important                              AS "IMPORTANT",
       required                               AS "REQUIRED",
       validatevalues                         AS "VALIDATE",
       validate_reg_expr                      AS "PATTERN",
       'Y'                                    AS "IS_EXTERNALLY_OWNED",
       'Y'                                    AS "ALARMPOINT_ACTION",
       NULL                                   AS "LAST_SYNC_DATE"
 FROM ev_dmn_pred,
      ev_dmn
WHERE ev_dmn_pred.ev_dmn_id = ev_dmn.ev_dmn_id
   -- REPLACE_WITH_ORG_FILTER
ORDER by ev_dmn_pred.when_updated