SELECT
  INNER_USER_EXTERNAL_KEY  AS "USER_EXTERNAL_KEY",
  STRING_AGG(PARENT_KEY)  AS "PERSON_SUPERVISOR_LIST",
  'Y'                AS "IS_EXTERNALLY_OWNED",
  'Y'                AS "ALARMPOINT_ACTION",
  NULL               AS "LAST_SYNC_DATE"
  FROM
   (SELECT CASE WHEN PARENT.RECIPIENT_ID IS NOT NULL 
   			         THEN PARENT.ORG_ID||'|'||PARENT.RECIPIENT_ID 
   			         ELSE   			         
	   			         (SELECT r2.ORG_ID||'|'||r2.RECIPIENT_ID
		                    FROM
		                        RECIPIENTS r2
		                    WHERE
		                        LOWER(r2.target_name) = LOWER('%%_DEFAULT_SUPERVISOR_TARGET_NAME_%%')
		                        AND 1 = %%_ALLOW_DEFAULT_SUPERVISOR_%%
		                        and r2.deleted_id = -1
		                        and r2.org_id = CHILD.org_id
		                        AND NOT EXISTS (
		                          SELECT *
		                          FROM PERSONS_FUNC, ROLE
		                          WHERE ROLE.ROLE_ID = PERSONS_FUNC.FUNC_ID
		                              AND PERSONS_FUNC.PERSON_ID = r2.RECIPIENT_ID
		                              AND ROLE.NAME IN ('Super Admin', 'Company Admin')
		                        )
		                        AND EXISTS (SELECT *
		                          FROM PERSONS_FUNC, ROLE
		                          WHERE ROLE.ROLE_ID = PERSONS_FUNC.FUNC_ID
		                              AND PERSONS_FUNC.PERSON_ID = r2.RECIPIENT_ID
		                              AND ROLE.NAME = 'Person Supervisor')
		                )
   		   END  AS "PARENT_KEY",
           CHILD.ORG_ID||'|'||CHILD.RECIPIENT_ID    AS "INNER_USER_EXTERNAL_KEY",
           CHILD.WHEN_UPDATED                       AS "WHEN_UPDATED"
      FROM  RECIPIENTS CHILD
      LEFT JOIN PERSON_SUPS ON CHILD.RECIPIENT_ID = PERSON_SUPS.PERSON_ID
      LEFT JOIN RECIPIENTS PARENT ON PARENT.RECIPIENT_ID = PERSON_SUPS.SUP_ID
     WHERE CHILD.RECIPIENT_CAT = 'PERSON'
       AND CHILD.DELETED_ID = -1
       AND NOT EXISTS (
         SELECT *
         FROM PERSONS_FUNC, ROLE
         WHERE ROLE.ROLE_ID = PERSONS_FUNC.FUNC_ID
             AND (PERSONS_FUNC.PERSON_ID = PARENT.RECIPIENT_ID OR PERSONS_FUNC.PERSON_ID = CHILD.RECIPIENT_ID)
             AND ROLE.NAME IN ('Super Admin', 'Company Admin')
       )
       -- REPLACE_WITH_ORG_FILTER
     )
GROUP BY INNER_USER_EXTERNAL_KEY
HAVING STRING_AGG(PARENT_KEY) IS NOT NULL
ORDER by INNER_USER_EXTERNAL_KEY
