SELECT p.ORG_ID||'|'||rpmt.TMP_RPMT_ID     AS "EXTERNAL_KEY",
       CASE
         WHEN grp.RECIPIENT_ID is NULL THEN NULL
       ELSE
         grp.ORG_ID||'|'||grp.RECIPIENT_ID
       END                                 AS "REPLACEMENT_GROUP",
       p.ORG_ID||'|'||p.RECIPIENT_ID       AS "USER_TO_REPLACE",
       r.ORG_ID||'|'||r.RECIPIENT_ID       AS "REPLACEMENT_USER",
       to_char(dr.START_DATE,'yyyy/mm/dd') AS "REPLACEMENT_START_DATE",
       to_char(dr.START_DATE,'HH24:mi')    AS "REPLACEMENT_START_TIME",
       to_char(dr.END_DATE,'yyyy/mm/dd')   AS "REPLACEMENT_END_DATE",
       to_char(dr.END_DATE,'HH24:mi')      AS "REPLACEMENT_END_TIME",
       'Y'                                 AS "IS_EXTERNALLY_OWNED",
       'Y'                                 AS "ALARMPOINT_ACTION",
       NULL                                AS "LAST_SYNC_DATE"
  FROM TMP_RPMT rpmt left outer join
         RECIPIENTS grp ON GRP_ID = grp.RECIPIENT_ID,
       DATE_RNG dr, recipients p, PERSONS per, recipients r
 WHERE rpmt.DATE_RNG_ID = dr.DATE_RNG_ID
   AND p.RECIPIENT_ID = rpmt.TMPER_ID
   AND r.RECIPIENT_ID = rpmt.RPMT_ID
   AND per.PERSON_ID = p.RECIPIENT_ID
   AND NOT EXISTS (
     SELECT *
     FROM PERSONS_FUNC, ROLE
     WHERE ROLE.ROLE_ID = PERSONS_FUNC.FUNC_ID
         AND (PERSONS_FUNC.PERSON_ID = rpmt.TMPER_ID OR PERSONS_FUNC.PERSON_ID = rpmt.RPMT_ID)
         AND ROLE.NAME IN ('Super Admin', 'Company Admin')
   )
   -- REPLACE_WITH_ORG_FILTER
ORDER BY rpmt.WHEN_CREATED