SELECT r.org_id||'|'||r.recipient_id                          AS "EXTERNAL_KEY",
       dtl.pin                                                AS "PIN",
       dtl.two_way                                            AS "IS_TWO_WAY",
       (SELECT r.org_id||'|'||recipient_id
          FROM RECIPIENTS
         WHERE RECIPIENTS.recipient_id = d.person_id)         AS "USER_KEY",
       (SELECT name
          FROM ORG_DVC_NAMES odn
         WHERE odn.org_dvc_name_id = r.org_dvc_name_id)       AS "DEVICE_NAME",
       (SELECT name
          FROM ORG_SVC_PROVS osp
         WHERE osp.org_svc_prov_id = d.org_svc_prov_id)       AS "SERVICE_PROVIDER_NAME",
       d.status                                               AS "STATUS",
       d.emergency                                            AS "DEFAULT_DEVICE",
       TO_CHAR(d.sequence)                                    AS "DEVICE_ORDER",
       TO_CHAR(d.delay)                                       AS "DELAY",
       'N'                                                    AS "LOCK_24X7",
       'Y'                                                    AS "IS_EXTERNALLY_OWNED",
       'Y'                                                    AS "ALARMPOINT_ACTION",
       NULL                                                   AS "LAST_SYNC_DATE"
FROM RECIPIENTS r, DVC d, TXT_PAGE_DVC_DTL dtl
WHERE r.recipient_id = d.dvc_id
  AND dtl.dvc_id     = d.dvc_id
  AND (r.deleted_id   = -1 or r.deleted_id is null)
  AND (d.deleted_id   = -1 or d.deleted_id is NULL)
  AND NOT EXISTS (
    SELECT *
    FROM PERSONS_FUNC, ROLE
    WHERE ROLE.ROLE_ID = PERSONS_FUNC.FUNC_ID
        AND PERSONS_FUNC.PERSON_ID = d.PERSON_ID
        AND ROLE.NAME IN ('Super Admin', 'Company Admin')
  )
  -- REPLACE_WITH_ORG_FILTER
ORDER by r.WHEN_UPDATED, d.WHEN_UPDATED, dtl.WHEN_UPDATED 
