SELECT r.org_id||'|'||r.recipient_id                          AS "EXTERNAL_KEY",
       c.name                                                 AS "COUNTRY",
       dtl.area_code                                          AS "AREA_CODE",
       dtl.phone_num                                          AS "PHONE_NUMBER",
       dtl.extension                                          AS "EXTENSION",
       (SELECT r.org_id||'|'||recipient_id
          FROM RECIPIENTS
         WHERE RECIPIENTS.recipient_id = d.person_id)         AS "USER_KEY",
       (SELECT name
          FROM ORG_DVC_NAMES odn
         WHERE odn.org_dvc_name_id = r.org_dvc_name_id)       AS "DEVICE_NAME",
       (SELECT name
          FROM ORG_SVC_PROVS osp
         WHERE osp.org_svc_prov_id = d.org_svc_prov_id)       AS "SERVICE_PROVIDER_NAME",
       case
         when dtl.extension is null then d.status
         else 'INACTIVE'
       end                                                    AS "STATUS",
       d.emergency                                            AS "DEFAULT_DEVICE",
       TO_CHAR(d.sequence)                                    AS "DEVICE_ORDER",
       TO_CHAR(d.delay)                                       AS "DELAY",
       'N'                                                    AS "LOCK_24X7",
       'Y'                                                    AS "IS_EXTERNALLY_OWNED",
       'Y'                                                    AS "ALARMPOINT_ACTION",
       NULL                                                   AS "LAST_SYNC_DATE"
FROM recipients r
INNER JOIN dvc d ON r.recipient_id = d.dvc_id
INNER JOIN voice_ivr_dvc_dtl dtl ON dtl.dvc_id = d.dvc_id
LEFT JOIN countries c ON dtl.country_code = c.country_code
WHERE r.deleted_id   = -1
  AND d.deleted_id   = -1
  AND NOT EXISTS (
    SELECT 1
    FROM PERSONS_FUNC pf 
    INNER JOIN ROLE r ON r.ROLE_ID = pf.FUNC_ID
    WHERE pf.PERSON_ID = d.PERSON_ID
        AND r.NAME IN ('Super Admin', 'Company Admin')
  )
  -- REPLACE_WITH_ORG_FILTER
ORDER by r.WHEN_UPDATED, d.WHEN_UPDATED, dtl.WHEN_UPDATED
