SELECT RECIPIENT_G.ORG_ID||'|'||GRP_TF.GRP_TF_ID              AS EXTERNAL_KEY,
       RECIPIENT_G.ORG_ID||'|'||RECIPIENT_G.RECIPIENT_ID      AS OWNING_GROUP_KEY,
       GRP_TF.NAME                                            AS COVERAGE_NAME,
       TO_CHAR(DATE_RNG.START_DATE, 'yyyy/mm/dd')             AS START_DATE,
       TO_CHAR(DATE_RNG.START_DATE, 'HH24:MI')                AS START_TIME,
       case
         when EXTRACT(DAY FROM (DATE_RNG.END_DATE - DATE_RNG.START_DATE)) > 0 then
           '24:00'
         when EXTRACT(HOUR FROM (DATE_RNG.END_DATE - DATE_RNG.START_DATE)) > 9 and
              EXTRACT(MINUTE FROM (DATE_RNG.END_DATE -DATE_RNG.START_DATE)) > 9 then
           EXTRACT(HOUR FROM (DATE_RNG.END_DATE - DATE_RNG.START_DATE))||':'||
           EXTRACT(MINUTE FROM (DATE_RNG.END_DATE - DATE_RNG.START_DATE))
         when EXTRACT(HOUR FROM (DATE_RNG.END_DATE - DATE_RNG.START_DATE)) < 10 and
              EXTRACT(MINUTE FROM (DATE_RNG.END_DATE - DATE_RNG.START_DATE)) < 10 then
           '0'||EXTRACT(HOUR FROM (DATE_RNG.END_DATE - DATE_RNG.START_DATE))||':'||
           '0'||EXTRACT(MINUTE FROM (DATE_RNG.END_DATE - DATE_RNG.START_DATE))
         when EXTRACT(HOUR FROM (DATE_RNG.END_DATE - DATE_RNG.START_DATE)) > 9 and
              EXTRACT(MINUTE FROM (DATE_RNG.END_DATE - DATE_RNG.START_DATE)) < 10 then
           EXTRACT(HOUR FROM (DATE_RNG.END_DATE - DATE_RNG.START_DATE))||':'||
           '0'||EXTRACT(MINUTE FROM (DATE_RNG.END_DATE - DATE_RNG.START_DATE))
         when EXTRACT(HOUR FROM (DATE_RNG.END_DATE - DATE_RNG.START_DATE)) < 10 and
              EXTRACT(MINUTE FROM (DATE_RNG.END_DATE - DATE_RNG.START_DATE)) > 9 then
           '0'||EXTRACT(HOUR FROM (DATE_RNG.END_DATE - DATE_RNG.START_DATE))||':'||
           EXTRACT(MINUTE FROM (DATE_RNG.END_DATE - DATE_RNG.START_DATE))
       end                                                    AS DURATION,
       TO_CHAR(DATE_HOLIDAY_CNTNER.END_DATE, 'yyyy/mm/dd')    AS RECURRENCE_END,
       CASE
         WHEN RECIPIENT_T.ORG_ID is NULL THEN null
         ELSE RECIPIENT_T.ORG_ID||'|'||RECIPIENT_T.RECIPIENT_ID
       END
                                                              AS WORKER_TEAM_KEY,
       'Y'                                                    AS IS_EXTERNALLY_OWNED,
       'Y'                                                    AS ALARMPOINT_ACTION,
       NULL                                                   AS LAST_SYNC_DATE
FROM GRP_TF LEFT OUTER JOIN TM ON GRP_TF.TM_ID = TM.TM_ID
            LEFT OUTER JOIN RECIPIENTS RECIPIENT_T ON RECIPIENT_T.RECIPIENT_ID = TM.TM_ID,
       GRP, DRSS, DRS_INCLUDES, DATE_HOLIDAY_CNTNER, DATE_RNG,
       RECIPIENTS RECIPIENT_G
WHERE RECIPIENT_G.RECIPIENT_ID = GRP.GRP_ID
   AND GRP.GRP_ID = GRP_TF.GRP_ID
   AND DRSS.DRS_ID = GRP_TF.DRS_ID
   AND DRS_INCLUDES.DRS_ID = DRSS.DRS_ID
   AND DRS_INCLUDES.DATE_RULE_ID = DATE_HOLIDAY_CNTNER.DATE_HOLIDAY_CNTNER_ID
   AND DATE_RNG.DATE_RNG_ID = DATE_HOLIDAY_CNTNER.DATE_RNG_ID
   AND (GRP_TF.DELETED_ID = -1 or GRP_TF.DELETED_ID is null)
   -- REPLACE_WITH_ORG_FILTER
ORDER by tm.WHEN_UPDATED, GRP.WHEN_UPDATED, GRP_TF.WHEN_UPDATED
