SELECT CAST(RECIPIENTS.org_id AS VARCHAR)+'|'
       +CAST(DVC_TF.DVC_TF_ID AS VARCHAR)+'|'
       +CAST(DATE_RPT_PATTERNS.DATE_RPT_PATTERN_ID AS VARCHAR)
                                                           AS "EXTERNAL_KEY",
       CAST(RECIPIENTS.org_id AS VARCHAR)+'|'
       +CAST(DVC.DVC_ID AS VARCHAR)                        AS "DT_OWNING_DEVICE_KEY",
       DVC.DVC_TYPE                                        AS "DT_OWNING_DEVICE_TYPE",
       case
         when DATE_RULES.DESCRION is null then
           'Default TF'
         else DATE_RULES.DESCRION
       end                                                 AS "DT_NAME",
       LEFT(CONVERT(VARCHAR, DATE_RPT_PATTERNS.INIT_START, 8),5)
                                                           AS "DT_START_TIME",
       RIGHT('0'+CAST(DATEDIFF(HOUR, DATE_RPT_PATTERNS.INIT_START, DATE_RPT_PATTERNS.INIT_END) AS VARCHAR),2)
       +':'+RIGHT('0'+CAST(DATEDIFF(MINUTE, DATE_RPT_PATTERNS.INIT_START, DATE_RPT_PATTERNS.INIT_END)%60 AS VARCHAR),2)
                                                           AS "DT_DURATION",
       DATE_RPT_PATTERNS.IC_DAY_LIST                       AS "DT_DAY_PATTERN",
       case
         when DATE_RULES.EXCLUDE_HOLIDAYS is NULL then 'N'
         else DATE_RULES.EXCLUDE_HOLIDAYS
       end                                                 AS "DT_EXCLUDE_HOLIDAYS",
       'Y'                                                 AS "ALARMPOINT_ACTION",
       NULL                                                AS "LAST_SYNC_DATE",
       'Y'                                                 AS "IS_EXTERNALLY_OWNED",
       null                                                AS "DT_OWNING_DEVICE_NAME",
       null                                                AS "DT_OWNING_DEVICE_OWNER_UID"
  FROM RECIPIENTS, DVC_TF, DVC, DRSS, DRS_INCLUDES, DATE_RPT_PATTERNS, DATE_RULES
 WHERE RECIPIENTS.RECIPIENT_ID = DVC.DVC_ID
   AND DVC_TF.DVC_ID = DVC.DVC_ID
   AND DRSS.DRS_ID = DVC_TF.DRS_ID
   AND DRS_INCLUDES.DRS_ID = DRSS.DRS_ID
   AND DATE_RULES.DATE_RULE_ID = DRS_INCLUDES.DATE_RULE_ID
   AND DATE_RPT_PATTERNS.DATE_RPT_PATTERN_ID = DRS_INCLUDES.DATE_RULE_ID
   AND (RECIPIENTS.DELETED_ID = -1 or RECIPIENTS.DELETED_ID is null)
   AND (DVC.DELETED_ID = -1 or DVC.DELETED_ID is NULL)
   AND NOT EXISTS (
     SELECT *
     FROM PERSONS_FUNC, ROLE
     WHERE ROLE.ROLE_ID = PERSONS_FUNC.FUNC_ID
         AND PERSONS_FUNC.PERSON_ID = DVC.PERSON_ID
         AND ROLE.NAME IN ('Super Admin', 'Company Admin')
   )
   -- REPLACE_WITH_ORG_FILTER
ORDER by RECIPIENTS.WHEN_UPDATED, DVC.WHEN_UPDATED, DVC_TF.WHEN_UPDATED
