SELECT CAST(RECIPIENTS.ORG_ID AS VARCHAR)+'|'
       +CAST(RECIPIENTS.RECIPIENT_ID AS VARCHAR)           AS "EXTERNAL_KEY",
       RECIPIENTS.TARGET_NAME                              AS "GROUP_NAME",
       GRP.DESCRION                                        AS "DESCRIPTION",
       GRP.STATUS                                          AS "STATUS",
       GRP.USE_EMERG_DVC                                   AS "USE_DEFAULT_DEVICES",
       (SELECT TZ.ID
          FROM ORG_TZ, TZ
         WHERE ORG_TZ.ORG_TZ_ID = GRP.ORG_TZ_ID
           AND TZ.TZ_ID = ORG_TZ.TZ_ID)
                                                           AS "TIMEZONE",
       (SELECT SITES.NAME
          FROM SITES
         WHERE SITES.SITE_ID = GRP.SITE_ID)
                                                           AS "GROUP_SITE_NAME",
       COALESCE((SELECT LEFT(SUP_TABLE.SUPS, LEN(SUP_TABLE.SUPS)-1)
          FROM
          (SELECT
            (SELECT CAST(r.ORG_ID AS VARCHAR)+'|'
                    +CAST(r.RECIPIENT_ID AS VARCHAR)+','
               FROM GRP_SUPS, RECIPIENTS r
              WHERE GRP_ID = GRP.GRP_ID
                AND GRP_SUPS.PERSON_ID = r.RECIPIENT_ID
                AND NOT EXISTS (
                  SELECT *
                  FROM PERSONS_FUNC, ROLE
                  WHERE ROLE.ROLE_ID = PERSONS_FUNC.FUNC_ID
                      AND PERSONS_FUNC.PERSON_ID = r.RECIPIENT_ID
                      AND ROLE.NAME IN ('Super Admin', 'Company Admin')
                )
             FOR XML PATH(''))"SUPS")"SUP_TABLE"), 
             
             
             (SELECT CAST(r2.ORG_ID AS VARCHAR)+'|'+CAST(r2.RECIPIENT_ID AS VARCHAR)
                    FROM
                        RECIPIENTS r2
                    WHERE
                        LOWER(r2.target_name) = LOWER('%%_DEFAULT_SUPERVISOR_TARGET_NAME_%%')
                        AND 1 = %%_ALLOW_DEFAULT_SUPERVISOR_%%
                        and r2.deleted_id = -1
                        and r2.org_id = recipients.org_id
                        AND NOT EXISTS (
                          SELECT *
                          FROM PERSONS_FUNC, ROLE
                          WHERE ROLE.ROLE_ID = PERSONS_FUNC.FUNC_ID
                              AND PERSONS_FUNC.PERSON_ID = r2.RECIPIENT_ID
                              AND ROLE.NAME IN ('Super Admin', 'Company Admin')
                        )
                        AND EXISTS (SELECT *
                          FROM PERSONS_FUNC, ROLE
                          WHERE ROLE.ROLE_ID = PERSONS_FUNC.FUNC_ID
                              AND PERSONS_FUNC.PERSON_ID = r2.RECIPIENT_ID
                              AND ROLE.NAME = 'Group Supervisor')
                )
             )
                                                          AS "SUPERVISOR_LIST",
       'Y'                                                AS "OBSERVED_BY_ALL",
       ''                                                 AS "OBSERVER_LIST",
       GRP.DUPLICATED                                     AS "ALLOW_DUPLICATES",
       'Y'                                                AS "IS_EXTERNALLY_OWNED",
       'Y'                                                AS "ALARMPOINT_ACTION",
       NULL                                               AS "LAST_SYNC_DATE"
  FROM GRP, RECIPIENTS
 WHERE RECIPIENTS.RECIPIENT_ID = GRP.GRP_ID
   AND (GRP.DELETED_ID = -1 or GRP.DELETED_ID is null)
   AND (RECIPIENTS.DELETED_ID = -1 or RECIPIENTS.DELETED_ID is null)
   -- REPLACE_WITH_ORG_FILTER
ORDER by RECIPIENTS.WHEN_UPDATED, GRP.WHEN_UPDATED 
