SELECT CAST(grp.org_id AS VARCHAR)+'|'
       +CAST(GRP_TF.GRP_TF_ID AS VARCHAR)                      AS "EXTERNAL_KEY",
       CAST(grp.org_id AS VARCHAR)+'|'
       +CAST(grp.recipient_id AS VARCHAR)                      AS "OWNING_GROUP_KEY",
       GRP_TF.NAME                                             AS "COVERAGE_NAME",
       CONVERT(VARCHAR, DATE_RPT_PATTERNS.INIT_START, 111)     AS "START_DATE",
       LEFT(CONVERT(VARCHAR, DATE_RPT_PATTERNS.INIT_START, 8),5)
                                                               AS "START_TIME",
       RIGHT('0'+CAST(DATEDIFF(MINUTE, DATE_RPT_PATTERNS.INIT_START, DATE_RPT_PATTERNS.INIT_END)/60 AS VARCHAR),2)
       +':'+RIGHT('0'+CAST(DATEDIFF(MINUTE, DATE_RPT_PATTERNS.INIT_START, DATE_RPT_PATTERNS.INIT_END)%60 AS VARCHAR),2)
                                                               AS "DURATION",
       DATE_RPT_PATTERNS.IC_DAY_LIST                           AS "DAY_PATTERN",
       DATE_RPT_PATTERNS.FREQUENCY                             AS "FREQUENCY",
       CAST(DATE_RPT_PATTERNS.FREQ_INTERVAL AS VARCHAR(38))    AS "INTERVAL",
       DRSS.INC_SITE_HOLIDAYS                                  AS "INCLUDE_SITE_HOLIDAYS",
       CONVERT(VARCHAR, DATE_RPT_PATTERNS.CONTINUE_UNTIL, 111) AS "RECURRENCE_END",
       CASE
         WHEN tm.org_id is NULL THEN NULL
         ELSE CAST(tm.ORG_ID AS VARCHAR)+'|'+CAST(tm.RECIPIENT_ID AS VARCHAR)
       END                                                     AS "WORKER_TEAM_KEY",
       'Y'                                                     AS "IS_EXTERNALLY_OWNED",
       'Y'                                                     AS "ALARMPOINT_ACTION",
       NULL                                                    AS "LAST_SYNC_DATE"
FROM DATE_RPT_PATTERNS
      INNER JOIN
     DATE_RULES ON DATE_RPT_PATTERNS.DATE_RPT_PATTERN_ID = DATE_RULES.DATE_RULE_ID,
     GRP_TF
      LEFT OUTER JOIN RECIPIENTS tm ON GRP_TF.TM_ID = tm.RECIPIENT_ID
      INNER JOIN DRSS DRSS ON GRP_TF.DRS_ID=DRSS.DRS_ID
      INNER JOIN DATE_RULES DRSS1_ ON DRSS.DRS_ID=DRSS1_.DATE_RULE_ID
      INNER JOIN DRS_INCLUDES inclusiver3_ ON DRSS.DRS_ID=inclusiver3_.DRS_ID
      INNER JOIN DATE_RULES dateruleim4_ ON inclusiver3_.DATE_RULE_ID =dateruleim4_.DATE_RULE_ID,
     RECIPIENTS grp
WHERE DATE_RPT_PATTERNS.DATE_RPT_PATTERN_ID = dateruleim4_.DATE_RULE_ID
  AND (GRP_TF.DELETED_ID = -1 OR GRP_TF.DELETED_ID is null)
  AND GRP_TF.GRP_ID = grp.RECIPIENT_ID
  -- REPLACE_WITH_ORG_FILTER
ORDER by tm.WHEN_UPDATED, GRP.WHEN_UPDATED, GRP_TF.WHEN_UPDATED
